<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="icon" href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 128 128%22><text y=%221.2em%22 font-size=%2296%22>⚫️</text></svg>">
        {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}

        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
        {% endblock %}
    </head>
    <body>
    <nav class="navbar navbar-expand-lg bg-light">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Navbar</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav">
                    <li class="nav-item">
                        <a class="nav-link "  href="{{ path('medecin') }}">Home</a>
                    </li>
                   {% if is_granted("ROLE_MEDECIN") %}
                       <li class="nav-item">
                           <a class="nav-link " href="{{ path('medecin_add') }}">Ma fiche médecin</a>
                       </li>
                    {%  endif %}

                    {%  if app.user is null %}
                        <li class="nav-item">
                            <a class="nav-link " href="{{ path('app_login') }}">Login</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link " href="{{ path('app_register') }}">S'inscrire</a>
                        </li>
                    {%  else  %}
                        <li class="nav-item">
                            <a class="nav-link " href="{{ path('app_mesrdv') }}">Mes rdvs</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link " href="{{ path('app_rdv') }}">Prendre rdv</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link " href="{{ path('app_logout') }}">Se déconnecter</a>
                        </li>
                    {%  endif %}
                </ul>
            </div>
        </div>
    </nav>
        {% block body %}{% endblock %}
    </body>
</html>
